class Protocol:
    def __init__(self, seq_number, name):
        self.seq_number = seq_number
        self.name = name

    def add_sequence(self):
        return 0

    def delete_sequence(self):
        return 0

    def interp_sequence(self):
        return 0

